<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong> := <a href="AVL_SET_NODE.html"><font color="#008000">AVL_SET_NODE</font></a>[<font color="#008000">E</font>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Auxiliary class to implement AVL_SET."</font>;
	
  <br><font FACE="Sans-serif" color="#000000"><B> This a classic implementation of an AVL tree (balanced tree first</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> designed by Adelson-Velskii and Landis, 1960)</B></font>
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">parent_avl_tree_node</font></strong>:<strong><font color="#A020F0">Expanded</font></strong> <a href="AVL_TREE_NODE.html"><font color="#008000">AVL_TREE_NODE</font></a>[<font color="#008000">E</font>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_any_avl_set_node</font></strong>:<a href="ANY_AVL_SET_NODE.html"><font color="#008000">ANY_AVL_SET_NODE</font></a> := 

<br><br><strong><font color="#A020F0">Section</font></strong> <a href="AVL_SET.html"><font color="#008000">AVL_SET</font></a>
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Creation:</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> i:<font color="#008000">E</font> :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> i:<font color="#008000">E</font> <-
    


</body>
</html>

